KBACKUP(1)

NAME
kbackup - Backup program with an easy-to-use interface

SYNOPSIS

kbackup [OPTIONS...] [Module name | Module set name...]

DESCRIPTION

Kbackup is a program that lets you back up any directories or files. It uses an easy to use directory tree to select the things to back up and lets you save your settings in "profile" files. These are simple textfiles containing definitions for directories and files to be included or excluded from the backup process.

OPTIONS

-v, --version
    Displays version information.

-h, --help
    Displays help on commandline options.

--help-all
    Displays help including Qt specific options.

--help-all --qmljsdebugger value
    Activates the QML/JS debugger with a specified port. The value must be of format port:1234[,block]. "block" makes the application wait for a connection.

--script file
    Script to run after finishing one archive slice.

--auto profile
    Automatically run the backup with the given profile and terminate when done.

--autobg profile
    Automatically run the backup with the given profile in the background (without showing a window) and terminate when done.

--verbose profile
    In autobg mode be verbose and print every single filename during backup.

--forceFull
    In auto/autobg mode force the backup to be a full backup instead of acting on the profile settings.

--author
    Show author information.

--license
    Show license information.

--desktopfile file
    The base file name of the desktop entry for this application.

ENVIRONMENT

FILES

.kbp profile files. Generated by user on save profile.

SEE ALSO
    More detailed user documentation is available from help:/kbackup (either enter this URL into Konqueror, or run khelpcenter man:/kbackup).
    kf6options(7)
    qt6options(7)
    There is also further information available at https://apps.kde.org/kbackup

EXAMPLES

kbackup myData.kbp Used to load existing profile.

AUTHORS

Kbackup was written by Martin Koller < martin@kollix.at> This man-page was created by Scott Kitterman <scott@kitterman.com> and updated by Scarlett Moore <sgmoore@kde.org>, it is licensed under the same terms as kbackup.

AUTHOR

Scarlett Moore <sgmoore@kde.org>
    Author.